Subject: Re: bug#14574: prog-prettify-symbols breaks font-locking

From: Dmitry Gutov <[email-masked]>
Date: Sun, 16 Jun 2013 14:03:24 +0400

Juanma Barranquero <[email-masked]> writes:

> As for the composition text property, I suppose it could be possible
> to mark the prettified text during font-locking and use some font-lock
> -hook or -function to remove it at turn-off time?

I have some custom code in my init directory that does something very
similar, and I've settled on adding `composition' to
`font-lock-extra-managed-props'. IIRC, the problem I was solving is that
otherwise removing a few chars from the composed symbol did not make it
un-composed.

Maybe we should make a font-lock-specific alias for `composition', like
`font-lock-face' is for `face', and use that.